## mpich 3.1

=== debian/changelog ===
mpich (3.1-5) unstable; urgency=medium

  [ Anton Gladky ]
  * Add mpi.pc alternative. (Closes: #752786)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Oct 2014 14:28:24 +0100

mpich (3.1-4) unstable; urgency=medium

  * [c3e3398] Disable test_primitives, which is unreliable on some platforms.
              (Closes: #743047)
  * [265a699] Add minimal autotest.

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Apr 2014 20:24:20 +0200

mpich (3.1-3) unstable; urgency=medium

  * [5b62bf1] Separate mpl and opa from mpich. (Closes: #742941)

 -- Anton Gladky <gladk@debian.org>  Sat, 29 Mar 2014 20:07:29 +0100

mpich (3.1-2) unstable; urgency=medium

  [ Anton Gladky ]
  * [84ebc17] Update copyright-file, use DEP-5. (Closes: #742782)
  * [4f1b5db] Set Standards-Version: 3.9.5. No changes.

  [ Dimitri John Ledkov ]
  * [f52d751] Autoreconf all subprojects.

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Mar 2014 21:03:57 +0100

mpich (3.1-1) unstable; urgency=medium

  * [af581fb] Imported Upstream version 3.1
  * [0c97462] Ignore quilt dir
  * [966748e] Remove old patches.
  * [be2c8a6] Add build-dep libcr-dev for powerpcspe. (Closes: #731645)
  * [6d41433] Update so-number.
  * [a21b1a4] Disable smpd-build.

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Mar 2014 14:39:50 +0100
