=== debian/changelog ===
mpich (3.2-6build1) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 19:50:08 +0000

mpich (3.2-6) unstable; urgency=medium

  [ Matthias Klose ]
  * [aa5adf9] libmpich-dev: Install a /usr/lib/mpich/lib symlink.
              (Closes: #811231)

 -- Anton Gladky <gladk@debian.org>  Sun, 17 Jan 2016 13:50:55 +0100

mpich (3.2-5) unstable; urgency=medium

  [ Matthias Klose ]
  * [0970d3b] Relax compiler check. (Closes: #811210)

  [ Anton Gladky ]
  * [8504985] Move manpages into subdir.
  * [e7218bb] Remove unusefull README.source
  * [e668eeb] Remove old NEWS file.

 -- Anton Gladky <gladk@debian.org>  Sat, 16 Jan 2016 22:21:15 +0100

mpich (3.2-4) unstable; urgency=medium

  * [769e1da] Remove old patch. Enable all tests.

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Jan 2016 22:21:11 +0100

mpich (3.2-3) unstable; urgency=medium

  * [a2f37f3] Recover mpif77.mpich.

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Jan 2016 14:46:11 +0100

mpich (3.2-2) unstable; urgency=medium

  * [9023327] Recover mpif90.mpich. (Closes: #808936)

 -- Anton Gladky <gladk@debian.org>  Fri, 25 Dec 2015 17:22:57 +0100

mpich (3.2-1) unstable; urgency=medium

  * Move from experimental to unstable

 -- Anton Gladky <gladk@debian.org>  Fri, 18 Dec 2015 21:46:54 +0100

mpich (3.2-1~exp2) experimental; urgency=medium

  * [f9dc45e] Fix build of indep-binaries only. (Closes: #806080)

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Dec 2015 23:34:12 +0100

mpich (3.2-1~exp1) experimental; urgency=medium

  [ Torquil Macdonald Sørensen ]
  * New upstream release. (Closes: #807318, #807666)
  * Set MPILIBNAME to keep old soname
  * Drop transitional packages for MPICH2
  * Drop libmpl*/libopa* since they are now only symlinks to files in libmpich*
  * Remove ARMCI section from debian/copyright since ARMCI is no longer in MPICH
  * Bump standards version to 3.9.6.0
  * Remove versioned mpich2-doc from mpich-doc Conflicts
  * Replace versioned libmpich2-dev Conflicts by Breaks and Replaces in package
    libmpich-dev
  * Remove versioned mpich2 from mpich Conflicts
  * Man page updates
  * Add libmpl1/libopa1 to Breaks/Replaces for libmpich12, since it replaces
    those
  * Include upstream manual page mpif77.1 and provide symlink for mpif90.mpich.1
  * Include hydra* manual pages
  * Add parkill manual page

  [ Anton Gladky ]
  * Apply cme fix dpkg-control
  * Cosmetic changes

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Dec 2015 22:15:03 +0100

mpich (3.1-6) unstable; urgency=medium

  * Rebuild against gcc/gfortran5 for transition. Add dependency on latest
    gfortran.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Aug 2015 08:33:28 +0100
