=== debian/control ===
Source: mpich
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>,
           Torquil Macdonald Sørensen <torquil@gmail.com>,
           "Adam C. Powell, IV" <hazelsct@debian.org>,
           Alastair McKinstry <mckinstry@debian.org>
Section: devel
Priority: extra
Build-Depends: automake,
               debhelper (>= 9),
               default-jdk,
               dh-autoreconf,
               gfortran (>= 4:5.2.1),
               hwloc-nox,
               libcr-dev [amd64 armel armhf i386 powerpc ppc64 powerpcspe],
               libhwloc-dev,
               libxt-dev,
               procps,
               quilt,
               txt2man,
               valgrind [i386 amd64 powerpc armhf],
               x11proto-core-dev
Build-Depends-Indep: texlive-latex-extra,
                     texlive-latex-recommended,
                     doxygen-latex
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/mpich.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/mpich.git
Homepage: http://www.mpich.org/

Package: libmpich-dev
Architecture: any
Section: libdevel
Depends: gfortran,
         g++,
         libcr-dev [amd64 armel i386 powerpc],
         libmpich12 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mpich (= ${binary:Version})
Breaks: libmpich1.0-dev,
        libmpl-dev,
        libopa-dev,
        libmpich2-dev
Replaces: libmpich1.0-dev,
          libmpl-dev,
          libopa-dev,
          libmpich2-dev
Description: Development files for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH headers and static libraries, as well
 as the compiler wrappers needed to build MPICH programs.

Package: libmpich12
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libmpl1,
        libopa1
Replaces: libmpl1,
          libopa1
Description: Shared libraries for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH shared libraries.

Package: mpich
Architecture: any
Depends: hwloc-nox | hwloc,
         libmpich12 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libmpich-dev (= ${binary:Version})
Suggests: blcr-util,
          mpich-doc (= ${source:Version})
Breaks: mpich-bin,
        mpich2
Replaces: mpich-bin,
          mpich2
Description: Implementation of the MPI Message Passing Interface standard
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the program binaries necessary to run MPICH programs.

Package: mpich-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: mpich2-doc
Conflicts: lam-mpidoc,
           lam4-dev,
           mpi-doc,
           openmpi-doc,
           openmpi-mpidoc
Replaces: mpich2-doc
Description: Documentation for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH documentation.
