=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #! /usr/bin/make -f
-%:
-	dh $@  --parallel --with autoreconf
+
+export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+export MPICHLIB_CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 export MPICHLIB_CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export MPICHLIB_CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
 export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS)
@@ -11,12 +12,15 @@
 export FC=gfortran
 export F77=gfortran
 
+# Keep old library naming scheme
+export MPILIBNAME=mpich
+
 extra_flags += \
 	--enable-shared \
 	--prefix=/usr \
-	--enable-fc \
+	--enable-fortran=all \
 	--disable-rpath \
-  --disable-wrapper-rpath \
+	--disable-wrapper-rpath \
 	--sysconfdir=/etc/mpich \
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--includedir=/usr/include/mpich \
@@ -34,12 +38,15 @@
 	extra_flags += --with-atomic-primitives=no
 endif
 
+%:
+	dh $@  --parallel --with autoreconf
+
 override_dh_autoreconf:
 	dh_autoreconf
 	autoreconf -f -i src/mpl src/openpa src/mpi/romio src/pm/hydra
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(extra_flags)
+	dh_auto_configure -- $(extra_flags) CPPFLAGS="" CFLAGS="" CXXFLAGS="" FFLAGS="" FCFLAGS=""
 
 override_dh_auto_build-indep:
 	dh_auto_build -i
@@ -50,23 +57,34 @@
 
 override_dh_auto_install-arch:
 	dh_auto_install -a
-	for i in mpicc mpicxx mpif77 mpif90; do \
+
+	# Rename executables (ignore upstream symlinks)
+	for i in mpicc mpicxx mpifort; do \
 	  (cd debian/tmp/usr/bin/ && mv $$i $$i.mpich); \
+	done
+
+    # Rename manpages
+	for i in mpicc mpicxx mpiexec mpif77 mpifort; do \
 	  (cd debian/tmp/usr/share/man/man1/ && mv $$i.1 $$i.mpich.1);\
 	done
-	# Fix incorrect paths in /usr/bin/mpi{cc,cxx,f77,f90}.mpich
+
+	# Fix incorrect paths in /usr/bin/mpi{cc,cxx,fort}.mpich
 	for fn in debian/tmp/usr/bin/mpicc.mpich debian/tmp/usr/bin/mpicxx.mpich \
-		debian/tmp/usr/bin/mpif77.mpich debian/tmp/usr/bin/mpif90.mpich; do \
+		debian/tmp/usr/bin/mpifort.mpich; do \
 		sed -i 's:$(CURDIR)/debian/tmp/::g' $$fn ;\
 	done
-	mv debian/tmp/usr/share/man/man1/mpiexec.1 debian/tmp/usr/share/man/man1/mpiexec.mpich.1
+
+override_dh_install:
+	dh_install
+	mkdir -p debian/libmpich-dev/usr/lib/mpich
+	ln -sf ../$(DEB_HOST_MULTIARCH) debian/libmpich-dev/usr/lib/mpich/lib
 
 override_dh_installchangelogs:
 	dh_installchangelogs README
 
 # Correct lib*.so multiarch paths in libmpich-dev.postinst
-override_dh_installdeb:
-	dh_installdeb
+override_dh_installdeb-arch:
+	dh_installdeb -a
 	sed -i 's:TRIPLET:$(DEB_HOST_MULTIARCH):g' debian/libmpich-dev/DEBIAN/postinst
 
 # Some tests are failing on hurd-i386.
