## mpich 3.3~a2

=== debian/changelog ===
mpich (3.3~a2-4) unstable; urgency=medium

  [Alastair McKinstry]
  * Undo romio change : doesn't fix hurd issues.
  * Push experimental changes to unstable. Closes: #871689

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Sep 2017 08:49:55 +0100

mpich (3.3~a2-3) experimental; urgency=medium

  [ Alastair McKinstry ]
  * Standards-Version: 4.1.0; no changes required
  * Set Debhelper COMPAT level 10. automake, dh-autoreconf no longer needed
  * mpich-doc now marked Multi-Arch: foreign
  * Set TZ=UTC+0 during build for reproducible font sorting
  * Enable libfabric, ibverbs on appropriate archs
  * Disable romio on hurd-i386
  * Disable builtin atomics on armhf

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Sep 2017 16:46:16 +0100

mpich (3.3~a2-2) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Remove gcc compiler check. Closes: #855324, #853404, #854532, #853562
  * Latest release fixes ppc64el bug. Closes: #871483

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Aug 2017 09:29:30 +0100

mpich (3.3~a2-1) experimental; urgency=medium

  [ Alastair McKinstry ]
  * [fa1de3cf] New upstream release
  * [23c9187f] Standards-Version now 3.9.8
  * [82a09e4] Enable bvlcr on armhf. Closes: #685226
  * [541bb218] Use xz compression for debian pkg
  * [fa9cef6a] Mark mpich-doc as M-A: foreign

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Jul 2017 07:33:24 +0100

mpich (3.2-7) unstable; urgency=medium

  * Team upload.
  * [0803fb4] Drop unneeded Build-Dependency on default-jdk.
  * [3174e8f] Use HTTPS in Vcs-Git.
  * [21e5360] Let libmpich-dev depend on libcr-dev also on ppc64 and powerpcspe.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Aug 2016 08:49:18 +0000
