=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
            Alastair McKinstry <mckinstry@debian.org>
 Section: devel
 Priority: extra
-Build-Depends: automake,
-               debhelper (>= 9),
-               default-jdk,
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                gfortran (>= 4:5.2.1),
                hwloc-nox,
+               libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libfabric-dev [amd64 i386],
                libcr-dev [amd64 armel armhf i386 powerpc ppc64 powerpcspe],
                libhwloc-dev,
                libxt-dev,
@@ -23,9 +22,9 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/mpich.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/mpich.git
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mpich.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mpich.git
 Homepage: http://www.mpich.org/
 
 Package: libmpich-dev
@@ -33,7 +32,7 @@
 Section: libdevel
 Depends: gfortran,
          g++,
-         libcr-dev [amd64 armel i386 powerpc],
+         libcr-dev [amd64 armel i386 powerpc ppc64 powerpcspe],
          libmpich12 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -100,6 +99,7 @@
 
 Package: mpich-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Breaks: mpich2-doc
