=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,30 @@
 export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS)
 export FC=gfortran
 export F77=gfortran
+export TZ=UTC+0
 
 # Keep old library naming scheme
 export MPILIBNAME=mpich
 
+NO_ROMIO_ARCH:= hurd-i386
+NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
+FABRIC_ARCH:= amd64 i386 
+BUILTIN_ATOMICS:= armhf
+
+ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
+	VERBS := --with-ibverbs
+endif
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(BUILTIN_ATOMICS_ARCH)))
+	DISABLE_BUILTIN_ATOMICS:= --with-atomic-primitives=no
+endif
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(FABRIC_ARCH)))
+	FABRIC := --with-libfabric
+endif
+
 extra_flags += \
+	$(VERBS) \
+	$(FABRIC) \
+	$(DISABLE_BUILTIN_ATOMICS) \
 	--enable-shared \
 	--prefix=/usr \
 	--enable-fortran=all \
@@ -28,7 +47,7 @@
 	--with-hwloc-prefix=system
 
 # BLCR checkpointing support
-ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 armel i386 powerpc))
+ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 armhf armel i386 powerpc))
 	extra_flags += --enable-checkpointing --with-hydra-ckpointlib=blcr
 endif
