=== debian/tests/control ===
Tests: version
Depends: libmpich-dev
