=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="dversionmangle=s/\d+$/)$1-Source/" http://www.mpich.org/downloads .*/mpich-(.*)\.tar\.gz
