## mpich 3.3~b2

=== debian/changelog ===
mpich (3.3~b2-7build1) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:20:44 +0000

mpich (3.3~b2-7) unstable; urgency=medium

  * mpich.postinst: on update-alternatives, if the link is corrupt its not
    deleted. Force delete with rm /var/lib/dpkg/alternatives/mpi

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 May 2018 19:41:54 +0100

mpich (3.3~b2-6) unstable; urgency=medium

  * mpich.postinst: undo 'set -e' so update-alternatives deletes old corrupt
    settings on failure. Closes: #897360

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 May 2018 16:27:29 +0100

mpich (3.3~b2-5) unstable; urgency=medium

  * Update Breaks/Replaces on mpich. Closes: #896153
  * Update mpich description for MPI-3.1. Closes: #815623
  * Fix postinst update-alternatives syntax (fails with set -e)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Apr 2018 16:00:50 +0100

mpich (3.3~b2-4) unstable; urgency=medium

  * Fix postinst to cope with update-alternatives errors after lam4-dev
    install

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Apr 2018 15:47:29 +0100

mpich (3.3~b2-3) unstable; urgency=medium

  * libmpich-dev now Depends on mpich. Closes: #896016
  * Move manpages from libmpich-dev to mpich
  * Update autopkgtest : change from libpmich-dev to mpich. Closes: #896082

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Apr 2018 11:37:05 +0100

mpich (3.3~b2-2) unstable; urgency=medium

  * Define missing PATH_MAX for Hurd builds
  * Drop blcr support  
  * Add full multi-arch support

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Apr 2018 19:14:42 +0100

mpich (3.3~b2-1) unstable; urgency=medium

  * Standards-Version: 4.1.4
  * Drop obsolete --parallel
  * Use internal hwloc for this release (2.0.0 needed; in experimental)
  * Drop Breaks/Replaces on libmpich1.0; not in debian archives anymore
  * Add Breaks/replaces mpich on libmpich-dev, as mpicc moved from -dev to
    mpich package

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Apr 2018 13:03:38 +0100

mpich (3.3~b1-5) experimental; urgency=medium

  * Ensure M-A placeholders are properly substituted: autogenerate files
    in ./rules. Closes: #891348

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Feb 2018 11:16:54 +0000

mpich (3.3~b1-4) experimental; urgency=medium

  * New upstream release
  * Drop --with autoconf from dh; obsolete

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Feb 2018 16:49:12 +0000

mpich (3.3~a3-3) unstable; urgency=medium

  * Add mpi-${lang}.pc pkgconfig files and alternatives. Closes: #860599 
  * Point VCS to salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jan 2018 11:32:54 +0000

mpich (3.3~a3-2) experimental; urgency=medium

  [ Alastair McKinstry ]
  * bugfix in ./rules to select atomic_primitives on armhf
  * re-enable tests for hurd in debian/rules to test
  * Fix for ADIO_SFS not defined on GNU/Hurd
  * Split alternatives into mpi and mpi-${DEB_HOST_MULTIARCH} parts;
    to enable full multiarch of libmpich-dev later
    Closes: #887614

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Jan 2018 09:48:24 +0000

mpich (3.3~a3-1) experimental; urgency=medium

  [ Alastair McKinstry ]
  * New upstream release
  * Standards-Version: 4.1.3
  * Set homepage to use https://www.mpich.org
  * Add mpi-fort.pc, mpi-c.pc, mpi-cxx.pc. Closes: #860599
  * Make some alternatives-tags multi-arch aware.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Jan 2018 16:00:59 +0000
