=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,15 @@
 export F77=gfortran
 export TZ=UTC+0
 
+AUTOGENERATED:= libmpich-dev.prerm libpich-dev.postinst libmpich-dev.links
+
 # Keep old library naming scheme
 export MPILIBNAME=mpich
 
 NO_ROMIO_ARCH:= hurd-i386
 NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
 FABRIC_ARCH:= amd64 i386 
-BUILTIN_ATOMICS:= armhf
+BUILTIN_ATOMICS_ARCH:= armhf
 
 ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
 	VERBS := --with-ibverbs
@@ -42,14 +44,9 @@
 	--disable-wrapper-rpath \
 	--sysconfdir=/etc/mpich \
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	--includedir=/usr/include/mpich \
-	--docdir=/usr/share/doc/mpich \
-	--with-hwloc-prefix=system
+	--includedir=/usr/include/$(DEB_HOST_MULTIARCH)/mpich \
+	--docdir=/usr/share/doc/mpich 
 
-# BLCR checkpointing support
-ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 armhf armel i386 powerpc))
-	extra_flags += --enable-checkpointing --with-hydra-ckpointlib=blcr
-endif
 
 # On sparc and sh4, OPA isn't available, so we need to fallback to
 # emulation mode. There's a performance penalty, unfortunately.
@@ -58,21 +55,30 @@
 endif
 
 %:
-	dh $@  --parallel --with autoreconf
+	dh $@  
 
 override_dh_autoreconf:
-	dh_autoreconf
-	autoreconf -f -i src/mpl src/openpa src/mpi/romio src/pm/hydra
+	./autogen.sh
+	autoreconf -f -i src/mpl src/openpa src/mpi/romio src/pm/hydra \
+		src/mpid/ch4/netmod/ucx/ucx src/mpid/ch4/netmod/ofi/libfabric
+
+override_dh_auto_clean:
+	dh_clean
+	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
 
 override_dh_auto_configure:
+	for f in ${AUTOGENERATED} ; do \
+                sed -e 's%TRIPLET%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
+                done
 	dh_auto_configure -- $(extra_flags) CPPFLAGS="" CFLAGS="" CXXFLAGS="" FFLAGS="" FCFLAGS=""
 
 override_dh_auto_build-indep:
 	dh_auto_build -i
-	cd $(CURDIR)/doc/installguide; rm *.pdf; $(MAKE) install.pdf
-	cd $(CURDIR)/doc/logging; rm *.pdf; $(MAKE) logging.pdf
+	# Disable rebuilding pdfs for the moment due to pdflatex problem 
+	# cd $(CURDIR)/doc/installguide; rm *.pdf; $(MAKE) install.pdf
+	# cd $(CURDIR)/doc/logging; rm *.pdf; $(MAKE) logging.pdf
 	#cd $(CURDIR)/doc/smpd; rm *.pdf; $(MAKE) smpd_pmi.pdf
-	cd $(CURDIR)/doc/userguide; rm *.pdf; $(MAKE) user.pdf
+	#cd $(CURDIR)/doc/userguide; rm *.pdf; $(MAKE) user.pdf
 
 override_dh_auto_install-arch:
 	dh_auto_install -a
@@ -96,19 +102,14 @@
 override_dh_install:
 	dh_install
 	mkdir -p debian/libmpich-dev/usr/lib/mpich
-	ln -sf ../$(DEB_HOST_MULTIARCH) debian/libmpich-dev/usr/lib/mpich/lib
 
 override_dh_installchangelogs:
 	dh_installchangelogs README
 
-# Correct lib*.so multiarch paths in libmpich-dev.postinst
-override_dh_installdeb-arch:
-	dh_installdeb -a
-	sed -i 's:TRIPLET:$(DEB_HOST_MULTIARCH):g' debian/libmpich-dev/DEBIAN/postinst
-
 # Some tests are failing on hurd-i386.
 # Disable them, to be investiated later
-disable_test_archs = hurd-i386
+# disable_test_archs = hurd-i386
+disable_test_archs = 
 ifneq (,$(filter $(DEB_HOST_ARCH),$(disable_test_archs)))
 override_dh_auto_test:
