## mpich 3.3~b3

=== debian/changelog ===
mpich (3.3~b3-4) unstable; urgency=medium

  * Add mpich.preinst: check for a corrupt mpi alternatives file, and delete
    as necessary. Closes: #912523

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Nov 2018 08:55:36 +0000

mpich (3.3~b3-3) unstable; urgency=medium

  * Standards-Version: 4.2.1
  * Fix typo generating libmpich-dev.postinst file
  * Add libmpich-dev.preinst to mirror openmpi changes for M-A
  * Don't unconditionally delete mpi alternatives in libmpich-dev.prerm
  * Enable set -e in mpich.postinst
  * Drop hard-coded xz compression of tarball

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Oct 2018 12:13:23 +0000

mpich (3.3~b3-2) unstable; urgency=medium

  * Standards-Version: 4.2.0
  * Use dh-fortran-mod to register, track Fortran mod files

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 Aug 2018 10:29:32 +0100

mpich (3.3~b3-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.5

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Jul 2018 09:07:28 +0100
