=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mpich
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>,
-           Torquil Macdonald Sørensen <torquil@gmail.com>,
+Uploaders: Torquil Macdonald Sørensen <torquil@gmail.com>,
            "Adam C. Powell, IV" <hazelsct@debian.org>,
            Alastair McKinstry <mckinstry@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: debhelper (>= 10),
                gfortran (>= 4:5.2.1),
+	       dh-fortran-mod,
                hwloc-nox,
                libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libfabric-dev [amd64 i386],
@@ -20,9 +20,9 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org:/science-team/mpich.git
-Vcs-Git: https://salsa.debian.org:/science-team/mpich.git -b 
+Vcs-Git: https://salsa.debian.org:/science-team/mpich.git 
 Homepage: https://www.mpich.org/
 
 Package: libmpich-dev
