=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,8 @@
 export F77=gfortran
 export TZ=UTC+0
 
-AUTOGENERATED:= libmpich-dev.prerm libpich-dev.postinst libmpich-dev.links
+AUTOGENERATED:= libmpich-dev.prerm libmpich-dev.postinst libmpich-dev.links \
+	mpich.preinst libmpich-dev.preinst
 
 # Keep old library naming scheme
 export MPILIBNAME=mpich
@@ -55,7 +56,7 @@
 endif
 
 %:
-	dh $@  
+	dh $@  --with=fortran_mod
 
 override_dh_autoreconf:
 	./autogen.sh
