## mpich 3.3

=== debian/changelog ===
mpich (3.3-3) unstable; urgency=medium


  * Patch from Ana Guerrero Lopez, Andreas Beckann to remove obsolete
    GCC check. Closes: #807666, #924837.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Mar 2019 08:31:47 +0000

mpich (3.3-2) unstable; urgency=medium

  * Use dh_fortran_mod to install Fortran mod files in $fmoddir/mpich.
  * B-D on gfortran | fortran-compiler
  * Use f95, f77 aliases for Fortran compiler in d/rules
  * Standards-Version: 4.3.0
  * Update alternatives handling. Closes: #896189

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Feb 2019 16:45:42 +0000

mpich (3.3-1) unstable; urgency=medium

  * Nww upstream release 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Nov 2018 07:14:47 +0000

mpich (3.3~rc1-2) unstable; urgency=medium

  * Build hppa, riscv64 with built-in atomics to fix test failures

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Nov 2018 10:11:45 +0000

mpich (3.3~rc1-1) unstable; urgency=medium

  * New upstream release
  * Don't ship empty directory /usr/lib/mpich in -dev package
  * Add sources for vis.min.js to d/missing-sources/vis.js 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Nov 2018 11:57:19 +0000
