=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               gfortran (>= 4:5.2.1),
-	       dh-fortran-mod,
+               gfortran | fortran-compiler,
+	       dh-fortran-mod (>= 0.9),
                hwloc-nox,
                libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libfabric-dev [amd64 i386],
@@ -20,7 +20,7 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org:/science-team/mpich.git
 Vcs-Git: https://salsa.debian.org:/science-team/mpich.git 
 Homepage: https://www.mpich.org/
@@ -29,15 +29,19 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gfortran,
+Depends: gfortran | fortran-compiler,
          g++,
          libmpich12 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 	 mpich (= ${binary:Version})
+Fortran-Mod: ${Fortran-Mod}
 Breaks: libmpl-dev,
         libopa-dev,
-        libmpich2-dev
+        libmpich2-dev,
+        libopenmpi-dev (<< 3.0.1~rc1-2),
+        openmpi-bin (<< 3.0.1~rc1-2),
+        lam4-dev (<< 7.1.4-3.2),
 Replaces: libmpl-dev,
           libopa-dev,
           libmpich2-dev
@@ -88,7 +92,10 @@
 Suggests: mpich-doc (= ${source:Version})
 Breaks: mpich-bin,
         mpich2,
-	libmpich-dev ( << 3.3~b2-3~)
+        libmpich-dev ( << 3.3~b2-3~),
+        libopenmpi-dev (<< 3.0.1~rc1-2),
+        openmpi-bin (<< 3.0.1~rc1-2),
+        lam4-dev (<< 7.1.4-3.2),
 Replaces: mpich-bin,
           mpich2,
 	  libmpich-dev ( << 3.3~b2-3~)
