=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 export MPICHLIB_CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
 export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS)
 export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS)
-export FC=gfortran
-export F77=gfortran
+export FC=f95
+export F77=f77
 export TZ=UTC+0
 
 AUTOGENERATED:= libmpich-dev.prerm libmpich-dev.postinst libmpich-dev.links \
@@ -22,7 +22,7 @@
 NO_ROMIO_ARCH:= hurd-i386
 NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
 FABRIC_ARCH:= amd64 i386 
-BUILTIN_ATOMICS_ARCH:= armhf
+BUILTIN_ATOMICS_ARCH:= armhf riscv64 hppa
 
 ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
 	VERBS := --with-ibverbs
@@ -100,9 +100,6 @@
 		sed -i 's:$(CURDIR)/debian/tmp/::g' $$fn ;\
 	done
 
-override_dh_install:
-	dh_install
-	mkdir -p debian/libmpich-dev/usr/lib/mpich
 
 override_dh_installchangelogs:
 	dh_installchangelogs README
